"""
    Utility functions for ZGotW external methods.
"""

def KeywordOptions():
    """
        Return possible options for the keywords property of a ZGotWIssue.
    """
    return [ 'DTML'
           , 'Acquisition'
           , 'Security / Permissions'
           , 'Python Products'
           , 'ZClasses'
           , 'Management Interface'
           ]

def IssueStates():
    """
        Return possible values for the status property of a ZGotWIssue.
    """
    return [ 'Draft'
           , 'Open'
           , 'In Review'
           , 'Closed'
           ]

def MessageTypes():
    """
        Return possible options for the message_type property of a ZGotWMessage.
    """
    return [ 'Question'
           , 'Reply'
           , 'Solution'
           ]

def ZenLevels():
    """
        Return possible difficulty levels for a ZGotWIssue.
    """
    return [ 'Novice'
           , 'Initiate'
           , 'Disciple'
           , 'Chela'
           , 'Master'
           , 'Guru'
           , 'Wizard'
           ]
